<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: pdts_scmd_merge Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">pdts_scmd_merge Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pdts_scmd_merge:</div>
<div class="dyncontent">
<div class="center"><img src="classpdts__scmd__merge__inherit__graph.png" border="0" usemap="#pdts__scmd__merge_inherit__map" alt="Inheritance graph"/></div>
<map name="pdts__scmd__merge_inherit__map" id="pdts__scmd__merge_inherit__map">
<area shape="rect" id="node2" href="classpdts__prio__enc.html" title="work.pdts_prio_enc(2)" alt="" coords="5,5,168,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classpdts__scmd__merge-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classpdts__scmd__merge_1_1rtl.html">rtl</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classpdts__scmd__merge.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a71847ec9ba280764c7e4ea6c383087e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71847ec9ba280764c7e4ea6c383087e9"></a>
<a class="el" href="classpdts__scmd__merge.html#a71847ec9ba280764c7e4ea6c383087e9">ipbus_reg_types</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:adefe2d519fb3783d0b9629f94f543410"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adefe2d519fb3783d0b9629f94f543410"></a>
<a class="el" href="classpdts__scmd__merge.html#adefe2d519fb3783d0b9629f94f543410">pdts_defs</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classpdts__defs.html"> &lt;pdts_defs&gt;</a></td></tr>
<tr class="memitem:a05faa875c3be52f9c630ee0a18bb04bd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a05faa875c3be52f9c630ee0a18bb04bd"></a>
<a class="el" href="classpdts__scmd__merge.html#a05faa875c3be52f9c630ee0a18bb04bd">master_defs</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:a02a265ec0fd23b178a30b083738de099"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02a265ec0fd23b178a30b083738de099"></a>
<a class="el" href="classpdts__scmd__merge.html#a02a265ec0fd23b178a30b083738de099">N_SRC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aec59ad7fb872308b3e1a455c5328cdff"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec59ad7fb872308b3e1a455c5328cdff"></a>
<a class="el" href="classpdts__scmd__merge.html#aec59ad7fb872308b3e1a455c5328cdff">clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5cf3e8e1cb15fcfc3619d8dc23942d9c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5cf3e8e1cb15fcfc3619d8dc23942d9c"></a>
<a class="el" href="classpdts__scmd__merge.html#a5cf3e8e1cb15fcfc3619d8dc23942d9c">rst</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0e44a785643edb43e9271e85c5be4212"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e44a785643edb43e9271e85c5be4212"></a>
<a class="el" href="classpdts__scmd__merge.html#a0e44a785643edb43e9271e85c5be4212">scmd_in_v</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">cmd_w_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad8677ab09f395dae52b6f32c1f3fa2ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8677ab09f395dae52b6f32c1f3fa2ac"></a>
<a class="el" href="classpdts__scmd__merge.html#ad8677ab09f395dae52b6f32c1f3fa2ac">scmd_out_v</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">cmd_r_array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_SRC</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4646bb706a8b629643233c26c98af804"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4646bb706a8b629643233c26c98af804"></a>
<a class="el" href="classpdts__scmd__merge.html#a4646bb706a8b629643233c26c98af804">typ</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SCMD_W</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a92e3c9713401c4eafd4174c4278c4976"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a92e3c9713401c4eafd4174c4278c4976"></a>
<a class="el" href="classpdts__scmd__merge.html#a92e3c9713401c4eafd4174c4278c4976">tv</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a781694203a9f0e812625ba0ab57f4e07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a781694203a9f0e812625ba0ab57f4e07"></a>
<a class="el" href="classpdts__scmd__merge.html#a781694203a9f0e812625ba0ab57f4e07">tgrp</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">N_PART</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a35b4667443e2b74df2e9ec09cae2d54a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a35b4667443e2b74df2e9ec09cae2d54a"></a>
<a class="el" href="classpdts__scmd__merge.html#a35b4667443e2b74df2e9ec09cae2d54a">scmd_out</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">cmd_w</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa8d0dd50e48314359f2fcc69ecc84fc9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8d0dd50e48314359f2fcc69ecc84fc9"></a>
<a class="el" href="classpdts__scmd__merge.html#aa8d0dd50e48314359f2fcc69ecc84fc9">scmd_in</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">cmd_r</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html#l00017">17</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__scmd__merge_8vhd_source.html">pdts_scmd_merge.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
